﻿Imports Steema.TeeChart

Public Class Form1

    Private Sub EditToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EditToolStripMenuItem.Click
        TChart1.ShowEditor()
    End Sub

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        TChart1.Aspect.View3D = False
        Candle1.FillSampleValues(300)

        Dim line2 As New Steema.TeeChart.Styles.Line(TChart1.Chart)
        Dim Average1 As New Steema.TeeChart.Functions.MovingAverage
        line2.Function = Average1
        line2.DataSource = Candle1
        line2.YValues.DataMember = "Close"
        Dim Period As Integer = 14
        line2.Function.Period = Period
        line2.Function.PeriodAlign = Functions.PeriodAligns.Last
        line2.Function.PeriodStyle = Functions.PeriodStyles.NumPoints
        Dim c As Color = Color.Blue
        line2.Color = c
        line2.CustomVertAxis = Candle1.CustomVertAxis
        Dim pWidth As Integer = 2
        line2.LinePen.Width = pWidth
        line2.TreatNulls = Steema.TeeChart.Styles.TreatNullsStyle.DoNotPaint

    End Sub
End Class
